Subject: how to specify an OMAP clock in device tree?

From: [email-masked] (Rajendra Nayak)
Date: Tue, 5 Feb 2013 19:51:49 +0530

On Tuesday 05 February 2013 07:48 PM, Roger Quadros wrote:
> On 02/05/2013 04:13 PM, Rajendra Nayak wrote:
>> On Tuesday 05 February 2013 07:16 PM, Roger Quadros wrote:
>>> Fixing the device name doesn't really solve the problem.
>>> Not all OMAP boards will use the same clock for the external device.
>>
>> Are you saying different OMAP boards will use different Internal clocks?
>> Or different OMAP boards will use a single Internal clock or an
>> external one.
>>
> All I was saying is that one board can use for example auxclk1 whereas another
> one can use auxclk3, both generated by OMAP for the same PHY configuration.

Ok, so lets keep DT aside for a while. How would something like this
work in a non-DT world? Would the driver then be able to do a
clk_get(dev, "main_clk"); and get say auxclk1 on one board and
auxclk3 on another?

> cheers,
> -roger